Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		cegui
Version:	0.6.2b
Release:	1
Summary:	Free library providing windowing and widgets for graphics APIs / engines
Group:		System/Libraries
License:	MIT
URL:		http://www.cegui.org.uk
Source0:	CEGUI-%{version}.tar.gz
Source1:	CEGUI-0.6.2-DOCS.tar.gz
Patch1:		cegui-0.6.0-release-as-so-ver.patch
Patch2:		cegui-0.6.0-userverso.patch
Patch3:		cegui-void.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#Automatically resolved build dependencies
BuildRequires: DevIL-devel
BuildRequires: expat-devel
BuildRequires: freeglut-devel
BuildRequires: freeimage-devel
BuildRequires: freetype-devel
BuildRequires: glew-devel
BuildRequires: glibc-devel
BuildRequires: irrlicht-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pcre-devel
BuildRequires: SILLY-devel
BuildRequires: tinyxml-devel
BuildRequires: xerces-c-devel
BuildRequires: zlib-devel

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available, or
severely lacking. The library is object orientated, written in C++, and
targeted at games developers who should be spending their time creating great
games, not building GUI sub-systems!

%package	devel
Summary:	Development files for cegui
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libGLU-devel

%description devel
Development files for cegui


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -qb1 -qn CEGUI-0.6.2
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Permission fixes for debuginfo RPM
chmod -x include/falagard/*.h

# Delete zero length file
rm -f documentation/api_reference/keepme

# Encoding fixes
iconv -f iso8859-1 AUTHORS -t utf8 > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 TODO -t utf8 > TODO.conv && mv -f TODO.conv TODO
iconv -f iso8859-1 README -t utf8 > README.conv && mv -f README.conv README

# Make makefile happy even though we've removed the (unused) included copy of
# GLEW due to license reasons
mkdir -p RendererModules/OpenGLGUIRenderer/GLEW/GL
touch RendererModules/OpenGLGUIRenderer/GLEW/GL/glew.h
touch RendererModules/OpenGLGUIRenderer/GLEW/GL/glxew.h
touch RendererModules/OpenGLGUIRenderer/GLEW/GL/wglew.h
touch RendererModules/OpenGLGUIRenderer/GLEW/GLEW-LICENSE

%build
%configure \
--disable-static \
--disable-corona \
--enable-devil \
--enable-lua-module \
--disable-samples \
--disable-directfb-renderer \
--with-default-xml-parser=TinyXMLParser \
--enable-silly \
--with-default-image-codec=SILLYImageCodec \
--with-pic \
--disable-external-toluapp \
--with-gtk2 Lua_CFLAGS=/usr/include Lua_LIBS=/usr/lib

# We do not want to get linked against a system copy of ourselves!
sed -i 's|-L%{_libdir}||g' RendererModules/OpenGLGUIRenderer/Makefile
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%_libdir/libCEGUI*-0.6.2.so

%files devel
%defattr(-,root,root,-)
%doc documentation/FalagardSkinning.pdf documentation/api_reference
%_libdir/*.so
%_libdir/*.la
%exclude %{_libdir}/libCEGUI*-0.6.2.so
%_pkgconfig
%_includedir/CEGUI
%_datadir/CEGUI

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 18 2009 Christian Wasem <wasem@ccux-linunx.de> 0.6.2b-1
- Version update
* Mon Feb 04 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-5
- use tinyxml as default parser
* Wed Jan 23 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-4
- rebuild against gcc 4.1.2
* Wed Jan 09 2008 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-3
- lowered optflags
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.0b-2
- modified License and Description - added docs, BuildRequires - rebuild against devil 1.6.8-3
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.0b-1
- Initial Release